# md5

(PHP 4, PHP 5, PHP 7)

md5 — Calculate the md5 hash of a string

Warning

It is not recommended to use this function to secure passwords, due to the fast nature of this hashing algorithm. See the Password Hashing FAQ for details and best practices.

### Description

md5 ( string `$str` [, bool `$raw_output` = `FALSE` ] ) : string

Calculates the MD5 hash of `str` using the » RSA Data Security, Inc. MD5 Message-Digest Algorithm, and returns that hash.

### Parameters

`str`

  The string.

`raw_output`

  If the optional `raw_output` is set to `TRUE`, then the md5 digest is instead returned in raw binary format with a length of 16.

### Return Values

Returns the hash as a 32-character hexadecimal number.

### Examples

Example #1 A md5() example

`<?php
$str = 'apple';
if (md5($str) === '1f3870be274f6c49b3e31a0c6728957f') {
echo "Would you like a green or red apple?";
}
?>`

### See Also

- md5_file() - Calculates the md5 hash of a given file
- sha1_file() - Calculate the sha1 hash of a file
- crc32() - Calculates the crc32 polynomial of a string
- sha1() - Calculate the sha1 hash of a string
- hash() - Generate a hash value (message digest)
- crypt() - One-way string hashing
- password_hash() - Creates a password hash